%define version 0.5.1
%define release %mkrel 2

%define major 0
%define libname %mklibname tomoe-gtk %{major}

%define tomoe_version 0.5.0

Name:           libtomoe-gtk
Summary:        Tomoe-gtk library for handwriting recognition
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	LGPL
URL:		http://sourceforge.jp/projects/tomoe/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:		libtomoe0 >= %{tomoe_version}
Requires:		gucharmap
BuildRequires:		libtomoe-devel >= %{tomoe_version}
BuildRequires:		gtk+2-devel automake1.8
BuildRequires:		gucharmap-devel

%description
Tomoe-gtk library for handwriting recognition.


%package -n	%{libname}
Summary:	Tomoe-gtk library
Group:		System/Internationalization
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Tomoe-gtk library.

%package -n	%{libname}-devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q

%build
# force to regenerate configure
./autogen.sh

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove docs for sigscheme (they should be installed by %doc)
rm -rf %{buildroot}%{_datadir}/gtk-doc/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%doc doc/reference/html/*
%{_libdir}/lib*.so.*
%{_datadir}/libtomoe-gtk/*.png
%{_datadir}/locale/*/LC_MESSAGES/libtomoe-gtk.mo

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_includedir}/tomoe/gtk/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/libtomoe-gtk.pc


%changelog
* Thu Feb 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.1-2mdv2007.0
+ Revision: 124676
- bump release
- new release
- Import libtomoe-gtk




* Fri Jan 05 2007 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.0-1mdv2007.1
- new release

* Fri Dec 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdv2007.1
- new release

* Wed Nov 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdv2007.1
- new release

* Fri Mar 03 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.0-3mdk
- add BuildRequires: gtk+2-devel

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-2mdk
- use %%mkrel

* Sat Oct 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- first spec for Mandriva Linux
